--- old/usr/src/lib/libm/common/Q/isnanl.c	2014-11-25 12:57:27.580595351 -0500
+++ new/usr/src/lib/libm/common/Q/isnanl.c	2014-11-25 12:57:27.592673940 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak isnanl = __isnanl
-#endif
+#pragma weak __isnanl = isnanl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/j0l.c	2014-11-25 12:57:28.012604382 -0500
+++ new/usr/src/lib/libm/common/Q/j0l.c	2014-11-25 12:57:28.024380712 -0500
@@ -36,8 +36,8 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0l = __j0l
-#pragma weak y0l = __y0l
+#pragma weak __j0l = j0l
+#pragma weak __y0l = y0l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/j1l.c	2014-11-25 12:57:28.459164678 -0500
+++ new/usr/src/lib/libm/common/Q/j1l.c	2014-11-25 12:57:28.470734979 -0500
@@ -36,8 +36,8 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1l = __j1l
-#pragma weak y1l = __y1l
+#pragma weak __j1l = j1l
+#pragma weak __y1l = y1l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/jnl.c	2014-11-25 12:57:28.905994847 -0500
+++ new/usr/src/lib/libm/common/Q/jnl.c	2014-11-25 12:57:28.917583194 -0500
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak jnl = __jnl
-#pragma weak ynl = __ynl
-#endif
+#pragma weak __jnl = jnl
+#pragma weak __ynl = ynl
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/Q/lgammal.c	2014-11-25 12:57:29.503756108 -0500
+++ new/usr/src/lib/libm/common/Q/lgammal.c	2014-11-25 12:57:29.521814851 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammal = __lgammal
+#pragma weak __lgammal = lgammal
 
 /*
  * long double lgammal(long double x);
--- old/usr/src/lib/libm/common/Q/lgammal_r.c	2014-11-25 12:57:29.968049153 -0500
+++ new/usr/src/lib/libm/common/Q/lgammal_r.c	2014-11-25 12:57:29.979583932 -0500
@@ -31,7 +31,7 @@
  * long double lgammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak lgammal_r = __lgammal_r
+#pragma weak __lgammal_r = lgammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/log10l.c	2014-11-25 12:57:30.374957772 -0500
+++ new/usr/src/lib/libm/common/Q/log10l.c	2014-11-25 12:57:30.386663439 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak log10l = __log10l
-#endif
+#pragma weak __log10l = log10l
 
 /*
  * log10l(X)
--- old/usr/src/lib/libm/common/Q/log1pl.c	2014-11-25 12:57:30.838748629 -0500
+++ new/usr/src/lib/libm/common/Q/log1pl.c	2014-11-25 12:57:30.850364169 -0500
@@ -109,7 +109,7 @@
  * shown.
  */
 
-#pragma weak log1pl = __log1pl
+#pragma weak __log1pl = log1pl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/log2l.c	2014-11-25 12:57:31.273405523 -0500
+++ new/usr/src/lib/libm/common/Q/log2l.c	2014-11-25 12:57:31.284951910 -0500
@@ -39,7 +39,7 @@
  *	LOG2(x) = n + (1/ln2)*log(x)
  */
 
-#pragma weak log2l = __log2l
+#pragma weak __log2l = log2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/logbl.c	2014-11-25 12:57:31.692338012 -0500
+++ new/usr/src/lib/libm/common/Q/logbl.c	2014-11-25 12:57:31.704030686 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak logbl = __logbl
-#endif
+#pragma weak __logbl = logbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/logl.c	2014-11-25 12:57:32.111745385 -0500
+++ new/usr/src/lib/libm/common/Q/logl.c	2014-11-25 12:57:32.123176802 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logl = __logl
+#pragma weak __logl = logl
 
 /*
  * logl(x)
--- old/usr/src/lib/libm/common/Q/nextafterl.c	2014-11-25 12:57:32.520669343 -0500
+++ new/usr/src/lib/libm/common/Q/nextafterl.c	2014-11-25 12:57:32.532070253 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak nextafterl = __nextafterl
-#endif
+#pragma weak __nextafterl = nextafterl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/powl.c	2014-11-25 12:57:32.940075638 -0500
+++ new/usr/src/lib/libm/common/Q/powl.c	2014-11-25 12:57:32.951753092 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak powl = __powl
-#endif
+#pragma weak __powl = powl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/remainderl.c	2014-11-25 12:57:33.376309034 -0500
+++ new/usr/src/lib/libm/common/Q/remainderl.c	2014-11-25 12:57:33.387877964 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remainderl = __remainderl
+#pragma weak __remainderl = remainderl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/rintl.c	2014-11-25 12:57:33.811376904 -0500
+++ new/usr/src/lib/libm/common/Q/rintl.c	2014-11-25 12:57:33.822951986 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak rintl = __rintl
+#pragma weak __rintl = rintl
 
 /*
  * rintl(long double x) return x rounded to integral according to
--- old/usr/src/lib/libm/common/Q/rndintl.c	2014-11-25 12:57:34.528082955 -0500
+++ new/usr/src/lib/libm/common/Q/rndintl.c	2014-11-25 12:57:34.554293206 -0500
@@ -26,11 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak aintl = __aintl
-#pragma weak anintl = __anintl
-#pragma weak irintl = __irintl
-#pragma weak nintl = __nintl
-
 /*
  * aintl(x)	return x chopped to integral value
  * anintl(x)	return sign(x)*(|x|+0.5) chopped to integral value
--- old/usr/src/lib/libm/common/Q/scalbl.c	2014-11-25 12:57:35.406205641 -0500
+++ new/usr/src/lib/libm/common/Q/scalbl.c	2014-11-25 12:57:35.432137717 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbl = __scalbl
+#pragma weak __scalbl = scalbl
 
 /*
  * scalbl(x,n): return x * 2^n by manipulating exponent.
--- old/usr/src/lib/libm/common/Q/scalbnl.c	2014-11-25 12:57:35.817573516 -0500
+++ new/usr/src/lib/libm/common/Q/scalbnl.c	2014-11-25 12:57:35.829096338 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak scalbnl = __scalbnl
-#endif
+#pragma weak __scalbnl = scalbnl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/signgaml.c	2014-11-25 12:57:36.216470823 -0500
+++ new/usr/src/lib/libm/common/Q/signgaml.c	2014-11-25 12:57:36.228389904 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgaml = __signgaml
+#pragma weak __signgaml = signgaml
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/significandl.c	2014-11-25 12:57:36.612906920 -0500
+++ new/usr/src/lib/libm/common/Q/significandl.c	2014-11-25 12:57:36.624616069 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak significandl = __significandl
-#endif
+#pragma weak __significandl = significandl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/sincosl.c	2014-11-25 12:57:37.040669186 -0500
+++ new/usr/src/lib/libm/common/Q/sincosl.c	2014-11-25 12:57:37.052013083 -0500
@@ -58,7 +58,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak sincosl = __sincosl
+#pragma weak __sincosl = sincosl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sincospil.c	2014-11-25 12:57:37.440365564 -0500
+++ new/usr/src/lib/libm/common/Q/sincospil.c	2014-11-25 12:57:37.451652861 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospil = __sincospil
-
 /*
  * void sincospil(long double x, long double *s, long double *c)
  * *s = sinl(pi*x); *c = cosl(pi*x);
--- old/usr/src/lib/libm/common/Q/sinhl.c	2014-11-25 12:57:37.845747450 -0500
+++ new/usr/src/lib/libm/common/Q/sinhl.c	2014-11-25 12:57:37.857038289 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhl = __sinhl
+#pragma weak __sinhl = sinhl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sinl.c	2014-11-25 12:57:38.263181159 -0500
+++ new/usr/src/lib/libm/common/Q/sinl.c	2014-11-25 12:57:38.274598601 -0500
@@ -59,7 +59,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak sinl = __sinl
+#pragma weak __sinl = sinl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sinpil.c	2014-11-25 12:57:38.672497513 -0500
+++ new/usr/src/lib/libm/common/Q/sinpil.c	2014-11-25 12:57:38.683915087 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinpil = __sinpil
-
 /*
  * long double sinpil(long double x),
  * return long double precision sinl(pi*x).
--- old/usr/src/lib/libm/common/Q/sqrtl.c	2014-11-25 12:57:39.100506424 -0500
+++ new/usr/src/lib/libm/common/Q/sqrtl.c	2014-11-25 12:57:39.112061967 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrtl = __sqrtl
+#pragma weak __sqrtl = sqrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/tanhl.c	2014-11-25 12:57:39.785476882 -0500
+++ new/usr/src/lib/libm/common/Q/tanhl.c	2014-11-25 12:57:39.797149249 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak tanhl = __tanhl
-#endif
+#pragma weak __tanhl = tanhl
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/Q/tanl.c	2014-11-25 12:57:40.193031177 -0500
+++ new/usr/src/lib/libm/common/Q/tanl.c	2014-11-25 12:57:40.204417713 -0500
@@ -58,7 +58,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak tanl = __tanl
+#pragma weak __tanl = tanl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/R/acosf.c	2014-11-25 12:57:40.604231737 -0500
+++ new/usr/src/lib/libm/common/R/acosf.c	2014-11-25 12:57:40.615781056 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acosf = __acosf
+#pragma weak __acosf = acosf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/acoshf.c	2014-11-25 12:57:40.999073342 -0500
+++ new/usr/src/lib/libm/common/R/acoshf.c	2014-11-25 12:57:41.013773448 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acoshf = __acoshf
+#pragma weak __acoshf = acoshf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/asinf.c	2014-11-25 12:57:41.397423341 -0500
+++ new/usr/src/lib/libm/common/R/asinf.c	2014-11-25 12:57:41.409322265 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinf = __asinf
+#pragma weak __asinf = asinf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/asinhf.c	2014-11-25 12:57:41.797703548 -0500
+++ new/usr/src/lib/libm/common/R/asinhf.c	2014-11-25 12:57:41.809116949 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinhf = __asinhf
+#pragma weak __asinhf = asinhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/atan2f.c	2014-11-25 12:57:42.195356347 -0500
+++ new/usr/src/lib/libm/common/R/atan2f.c	2014-11-25 12:57:42.206776924 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2f = __atan2f
+#pragma weak __atan2f = atan2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/atan2pif.c	2014-11-25 12:57:42.635312514 -0500
+++ new/usr/src/lib/libm/common/R/atan2pif.c	2014-11-25 12:57:42.659102353 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pif = __atan2pif
-
 #include "libm.h"
 
 static const double invpi = 0.3183098861837906715377675;
--- old/usr/src/lib/libm/common/R/atanf.c	2014-11-25 12:57:43.101439104 -0500
+++ new/usr/src/lib/libm/common/R/atanf.c	2014-11-25 12:57:43.112943144 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanf = __atanf
+#pragma weak __atanf = atanf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/atanhf.c	2014-11-25 12:57:43.508889908 -0500
+++ new/usr/src/lib/libm/common/R/atanhf.c	2014-11-25 12:57:43.520329369 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhf = __atanhf
+#pragma weak __atanhf = atanhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/besself.c	2014-11-25 12:57:43.905334613 -0500
+++ new/usr/src/lib/libm/common/R/besself.c	2014-11-25 12:57:43.916969918 -0500
@@ -26,12 +26,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak j0f = __j0f
-#pragma weak j1f = __j1f
-#pragma weak jnf = __jnf
-#pragma weak y0f = __y0f
-#pragma weak y1f = __y1f
-#pragma weak ynf = __ynf
+#pragma weak __j0f = j0f
+#pragma weak __j1f = j1f
+#pragma weak __jnf = jnf
+#pragma weak __y0f = y0f
+#pragma weak __y1f = y1f
+#pragma weak __ynf = ynf
 
 #include "libm.h"
 #include <float.h>
--- old/usr/src/lib/libm/common/R/cbrtf.c	2014-11-25 12:57:44.670561570 -0500
+++ new/usr/src/lib/libm/common/R/cbrtf.c	2014-11-25 12:57:45.149524600 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cbrtf = __cbrtf
+#pragma weak __cbrtf = cbrtf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/copysignf.c	2014-11-25 12:57:45.544754773 -0500
+++ new/usr/src/lib/libm/common/R/copysignf.c	2014-11-25 12:57:45.556242348 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak copysignf = __copysignf
-#endif
+#pragma weak __copysignf = copysignf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/cosf.c	2014-11-25 12:57:45.972603815 -0500
+++ new/usr/src/lib/libm/common/R/cosf.c	2014-11-25 12:57:45.984256783 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosf = __cosf
+#pragma weak __cosf = cosf
 
 /*
  * See sincosf.c
--- old/usr/src/lib/libm/common/R/coshf.c	2014-11-25 12:57:46.380015853 -0500
+++ new/usr/src/lib/libm/common/R/coshf.c	2014-11-25 12:57:46.391596069 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak coshf = __coshf
+#pragma weak __coshf = coshf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/erff.c	2014-11-25 12:57:46.778086325 -0500
+++ new/usr/src/lib/libm/common/R/erff.c	2014-11-25 12:57:46.789663035 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak erff = __erff
-#pragma weak erfcf = __erfcf
+#pragma weak __erff = erff
+#pragma weak __erfcf = erfcf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/exp10f.c	2014-11-25 12:57:47.211358619 -0500
+++ new/usr/src/lib/libm/common/R/exp10f.c	2014-11-25 12:57:47.222706251 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10f = __exp10f
-
 #include "libm.h"
 
 extern double exp10(double);
--- old/usr/src/lib/libm/common/R/exp2f.c	2014-11-25 12:57:47.619590730 -0500
+++ new/usr/src/lib/libm/common/R/exp2f.c	2014-11-25 12:57:47.631183976 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2f = __exp2f
+#pragma weak __exp2f = exp2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/expf.c	2014-11-25 12:57:48.019248716 -0500
+++ new/usr/src/lib/libm/common/R/expf.c	2014-11-25 12:57:48.030759007 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expf = __expf
+#pragma weak __expf = expf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/expm1f.c	2014-11-25 12:57:48.442108757 -0500
+++ new/usr/src/lib/libm/common/R/expm1f.c	2014-11-25 12:57:48.453584684 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expm1f = __expm1f
+#pragma weak __expm1f = expm1f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/fabsf.c	2014-11-25 12:57:48.858285307 -0500
+++ new/usr/src/lib/libm/common/R/fabsf.c	2014-11-25 12:57:48.869548943 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabsf = __fabsf
+#pragma weak __fabsf = fabsf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/floorf.c	2014-11-25 12:57:49.330596376 -0500
+++ new/usr/src/lib/libm/common/R/floorf.c	2014-11-25 12:57:49.342082133 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ceilf = __ceilf
-#pragma weak floorf = __floorf
+#pragma weak __ceilf = ceilf
+#pragma weak __floorf = floorf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/fmodf.c	2014-11-25 12:57:49.895225843 -0500
+++ new/usr/src/lib/libm/common/R/fmodf.c	2014-11-25 12:57:49.907126200 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmodf = __fmodf
+#pragma weak __fmodf = fmodf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/gammaf.c	2014-11-25 12:57:50.424938731 -0500
+++ new/usr/src/lib/libm/common/R/gammaf.c	2014-11-25 12:57:50.436868472 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammaf = __gammaf
+#pragma weak __gammaf = gammaf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/gammaf_r.c	2014-11-25 12:57:50.832565723 -0500
+++ new/usr/src/lib/libm/common/R/gammaf_r.c	2014-11-25 12:57:50.844294681 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammaf_r = __gammaf_r
+#pragma weak __gammaf_r = gammaf_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/hypotf.c	2014-11-25 12:57:51.228954131 -0500
+++ new/usr/src/lib/libm/common/R/hypotf.c	2014-11-25 12:57:51.240491740 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypotf = __hypotf
+#pragma weak __hypotf = hypotf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/ilogbf.c	2014-11-25 12:57:51.627572130 -0500
+++ new/usr/src/lib/libm/common/R/ilogbf.c	2014-11-25 12:57:51.639248715 -0500
@@ -27,14 +27,12 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ilogbf = __ilogbf
-#endif
+#pragma weak __ilogbf = ilogbf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two25 = 33554432.0F;
 #else
 /*
@@ -53,7 +51,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static int
 raise_invalid(int v) {	/* SUSv3 requires ilogbf(0,+/-Inf,NaN) raise invalid */
@@ -76,7 +74,7 @@
 		if (k == 0)
 			return (raise_invalid(0x80000001));
 		else {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two25;
 			return (((*((int *) &x) & 0x7f800000) >> 23) - 152);
 #else
--- old/usr/src/lib/libm/common/R/isnanf.c	2014-11-25 12:57:52.067187970 -0500
+++ new/usr/src/lib/libm/common/R/isnanf.c	2014-11-25 12:57:52.078616657 -0500
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak isnanf = __isnanf
-#pragma weak _isnanf = __isnanf
-#endif
+#pragma weak __isnanf = isnanf
+#pragma weak _isnanf = isnanf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/lgammaf.c	2014-11-25 12:57:52.464807716 -0500
+++ new/usr/src/lib/libm/common/R/lgammaf.c	2014-11-25 12:57:52.476283705 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammaf = __lgammaf
+#pragma weak __lgammaf = lgammaf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/lgammaf_r.c	2014-11-25 12:57:52.862946117 -0500
+++ new/usr/src/lib/libm/common/R/lgammaf_r.c	2014-11-25 12:57:52.874594466 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammaf_r = __lgammaf_r
+#pragma weak __lgammaf_r = lgammaf_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log10f.c	2014-11-25 12:57:53.263732480 -0500
+++ new/usr/src/lib/libm/common/R/log10f.c	2014-11-25 12:57:53.275156960 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log10f = __log10f
+#pragma weak __log10f = log10f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log1pf.c	2014-11-25 12:57:53.661447674 -0500
+++ new/usr/src/lib/libm/common/R/log1pf.c	2014-11-25 12:57:53.673046914 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log1pf = __log1pf
+#pragma weak __log1pf = log1pf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log2f.c	2014-11-25 12:57:54.061701875 -0500
+++ new/usr/src/lib/libm/common/R/log2f.c	2014-11-25 12:57:54.073414017 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log2f = __log2f
+#pragma weak __log2f = log2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/logbf.c	2014-11-25 12:57:54.699330066 -0500
+++ new/usr/src/lib/libm/common/R/logbf.c	2014-11-25 12:57:54.711002264 -0500
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak logbf = __logbf
-#endif
+#pragma weak __logbf = logbf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two25 = 33554432.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static float
 raise_division(float t) {
@@ -71,7 +69,7 @@
 		if (k == 0)
 			return (raise_division(-1.0F));
 		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two25;
 			return ((float) (((*((int *) &x) & 0x7f800000) >> 23) -
 				152));
--- old/usr/src/lib/libm/common/R/logf.c	2014-11-25 12:57:55.123201626 -0500
+++ new/usr/src/lib/libm/common/R/logf.c	2014-11-25 12:57:55.134616511 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logf = __logf
+#pragma weak __logf = logf
 
 /*
  * Algorithm:
--- old/usr/src/lib/libm/common/R/nextafterf.c	2014-11-25 12:57:55.525713108 -0500
+++ new/usr/src/lib/libm/common/R/nextafterf.c	2014-11-25 12:57:55.537673343 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak nextafterf = __nextafterf
-#endif
+#pragma weak __nextafterf = nextafterf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/powf.c	2014-11-25 12:57:55.923453959 -0500
+++ new/usr/src/lib/libm/common/R/powf.c	2014-11-25 12:57:55.935106141 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak powf = __powf
+#pragma weak __powf = powf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/R/remainderf.c	2014-11-25 12:57:56.338808664 -0500
+++ new/usr/src/lib/libm/common/R/remainderf.c	2014-11-25 12:57:56.350280645 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak remainderf = __remainderf
-#endif
+#pragma weak __remainderf = remainderf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/rintf.c	2014-11-25 12:57:56.734220555 -0500
+++ new/usr/src/lib/libm/common/R/rintf.c	2014-11-25 12:57:56.745885972 -0500
@@ -27,13 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak aintf = __aintf
-#pragma weak anintf = __anintf
-#pragma weak irintf = __irintf
-#pragma weak nintf = __nintf
-#pragma weak rintf = __rintf
-#endif
+#pragma weak __rintf = rintf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/scalbf.c	2014-11-25 12:57:57.140321385 -0500
+++ new/usr/src/lib/libm/common/R/scalbf.c	2014-11-25 12:57:57.151745161 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbf = __scalbf
+#pragma weak __scalbf = scalbf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/scalbnf.c	2014-11-25 12:57:57.537157197 -0500
+++ new/usr/src/lib/libm/common/R/scalbnf.c	2014-11-25 12:57:57.548791356 -0500
@@ -27,16 +27,14 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak scalbnf = __scalbnf
-#endif
+#pragma weak __scalbnf = scalbnf
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 #include <stdlib.h>		/* abs */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -55,7 +53,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalbnf(float x, int n) {
@@ -72,7 +70,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
--- old/usr/src/lib/libm/common/R/signgamf.c	2014-11-25 12:57:58.012649899 -0500
+++ new/usr/src/lib/libm/common/R/signgamf.c	2014-11-25 12:57:58.024146944 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgamf = __signgamf
+#pragma weak __signgamf = signgamf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/significandf.c	2014-11-25 12:57:58.406689921 -0500
+++ new/usr/src/lib/libm/common/R/significandf.c	2014-11-25 12:57:58.418147281 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak significandf = __significandf
-#endif
+#pragma weak __significandf = significandf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/sincosf.c	2014-11-25 12:57:58.805549490 -0500
+++ new/usr/src/lib/libm/common/R/sincosf.c	2014-11-25 12:57:58.816970007 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincosf = __sincosf
+#pragma weak __sincosf = sincosf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/sincospif.c	2014-11-25 12:57:59.533216399 -0500
+++ new/usr/src/lib/libm/common/R/sincospif.c	2014-11-25 12:57:59.574472589 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospif = __sincospif
-
 #include "libm.h"
 
 extern void sincospi(double, double *, double *);
--- old/usr/src/lib/libm/common/R/sinf.c	2014-11-25 12:58:00.181784029 -0500
+++ new/usr/src/lib/libm/common/R/sinf.c	2014-11-25 12:58:00.193459779 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinf = __sinf
+#pragma weak __sinf = sinf
 
 /*
  * See sincosf.c
--- old/usr/src/lib/libm/common/R/sinhf.c	2014-11-25 12:58:00.593881426 -0500
+++ new/usr/src/lib/libm/common/R/sinhf.c	2014-11-25 12:58:00.605280338 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhf = __sinhf
+#pragma weak __sinhf = sinhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/sqrtf.c	2014-11-25 12:58:01.037930054 -0500
+++ new/usr/src/lib/libm/common/R/sqrtf.c	2014-11-25 12:58:01.049361791 -0500
@@ -26,11 +26,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrtf = __sqrtf
+#pragma weak __sqrtf = sqrtf
 
 #include "libm.h"
 
-#ifdef __INLINE
 
 extern float __inline_sqrtf(float);
 
@@ -39,71 +38,3 @@
 	return (__inline_sqrtf(x));
 }
 
-#else	/* defined(__INLINE) */
-
-static const float huge = 1.0e35F, tiny = 1.0e-35F, zero = 0.0f;
-
-float
-sqrtf(float x) {
-	float	dz, w;
-	int 	*pw = (int *)&w;
-	int	ix, j, r, q, m, n, s, t;
-
-	w = x;
-	ix = pw[0];
-	if (ix <= 0) {
-		/* x is <= 0 or nan */
-		j = ix & 0x7fffffff;
-		if (j == 0)
-			return (w);
-		return ((w * zero) / zero);
-	}
-
-	if ((ix & 0x7f800000) == 0x7f800000) {
-		/* x is +inf or nan */
-		return (w * w);
-	}
-
-	m = ir_ilogb_(&w);
-	n = -m;
-	w = r_scalbn_(&w, (int *)&n);
-	ix = (pw[0] & 0x007fffff) | 0x00800000;
-	n = m / 2;
-	if ((n + n) != m) {
-		ix = ix + ix;
-		m -= 1;
-		n = m / 2;
-	}
-
-	/* generate sqrt(x) bit by bit */
-	ix <<= 1;
-	q = s = 0;
-	r = 0x01000000;
-	for (j = 1; j <= 25; j++) {
-		t = s + r;
-		if (t <= ix) {
-			s = t + r;
-			ix -= t;
-			q += r;
-		}
-		ix <<= 1;
-		r >>= 1;
-	}
-	if (ix == 0)
-		goto done;
-
-	/* raise inexact and determine the ambient rounding mode */
-	dz = huge - tiny;
-	if (dz < huge)
-		goto done;
-	dz = huge + tiny;
-	if (dz > huge)
-		q += 1;
-	q += (q & 1);
-
-done:
-	pw[0] = (q >> 1) + 0x3f000000;
-	return (r_scalbn_(&w, (int *)&n));
-}
-
-#endif	/* defined(__INLINE) */
--- old/usr/src/lib/libm/common/R/tanf.c	2014-11-25 12:58:01.436783477 -0500
+++ new/usr/src/lib/libm/common/R/tanf.c	2014-11-25 12:58:01.448721712 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanf = __tanf
+#pragma weak __tanf = tanf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/tanhf.c	2014-11-25 12:58:01.849257143 -0500
+++ new/usr/src/lib/libm/common/R/tanhf.c	2014-11-25 12:58:01.860627415 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanhf = __tanhf
+#pragma weak __tanhf = tanhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/complex/cabs.c	2014-11-25 12:58:02.267399886 -0500
+++ new/usr/src/lib/libm/common/complex/cabs.c	2014-11-25 12:58:02.278967603 -0500
@@ -26,9 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabs = __cabs
+#pragma weak __cabs = cabs
 
-#include "libm_synonyms.h"
 #include <math.h>
 #include "complex_wrapper.h"
 
--- old/usr/src/lib/libm/common/complex/cabsf.c	2014-11-25 12:58:02.702611409 -0500
+++ new/usr/src/lib/libm/common/complex/cabsf.c	2014-11-25 12:58:02.714031313 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabsf = __cabsf
+#pragma weak __cabsf = cabsf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cabsl.c	2014-11-25 12:58:03.112399480 -0500
+++ new/usr/src/lib/libm/common/complex/cabsl.c	2014-11-25 12:58:03.123741537 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabsl = __cabsl
+#pragma weak __cabsl = cabsl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacos.c	2014-11-25 12:58:03.522173232 -0500
+++ new/usr/src/lib/libm/common/complex/cacos.c	2014-11-25 12:58:03.533885867 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacos = __cacos
+#pragma weak __cacos = cacos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cacosf.c	2014-11-25 12:58:03.995908768 -0500
+++ new/usr/src/lib/libm/common/complex/cacosf.c	2014-11-25 12:58:04.010824019 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosf = __cacosf
+#pragma weak __cacosf = cacosf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacosh.c	2014-11-25 12:58:04.595252156 -0500
+++ new/usr/src/lib/libm/common/complex/cacosh.c	2014-11-25 12:58:04.612208295 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosh = __cacosh
+#pragma weak __cacosh = cacosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cacoshf.c	2014-11-25 12:58:04.999993764 -0500
+++ new/usr/src/lib/libm/common/complex/cacoshf.c	2014-11-25 12:58:05.015004596 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacoshf = __cacoshf
+#pragma weak __cacoshf = cacoshf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacoshl.c	2014-11-25 12:58:05.399972996 -0500
+++ new/usr/src/lib/libm/common/complex/cacoshl.c	2014-11-25 12:58:05.411644709 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacoshl = __cacoshl
+#pragma weak __cacoshl = cacoshl
 
 #include "libm.h"	/* fabsl/isnanl/isinfl/signbitl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacosl.c	2014-11-25 12:58:05.807354440 -0500
+++ new/usr/src/lib/libm/common/complex/cacosl.c	2014-11-25 12:58:05.818996196 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosl = __cacosl
+#pragma weak __cacosl = cacosl
 
 #include "libm.h"		/* acosl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
 #include "complex_wrapper.h"
